Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
portage wants to emerge i2c...
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
Art Vandalay
Guru
Guru


Joined: 16 Sep 2003
Posts: 335
Location: Melbourne - VIC

PostPosted: Sun Jul 03, 2005 1:37 am    Post subject: portage wants to emerge i2c... Reply with quote

as of 2 weeks back when i do a emerge sync && emerge -uDpv world i get the following:

Code:

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild     UD] media-libs/pdflib-5.0.4_p1-r1 [6.0.1] +java +perl +python +tcltk 0 kB
[ebuild  NS   ] sys-apps/i2c-2.9.1  0 kB

Total size of downloads: 0 kB
calista jk # emerge i2c
Calculating dependencies ...done!
>>> emerge (1 of 1) sys-apps/i2c-2.9.1 to /
>>> md5 files   ;-) i2c-2.9.1.ebuild
>>> md5 files   ;-) i2c-2.8.7.ebuild
>>> md5 files   ;-) i2c-2.9.0.ebuild
>>> md5 files   ;-) files/i2c-2.8.0-alphaCompile.patch
>>> md5 files   ;-) files/digest-i2c-2.8.7
>>> md5 files   ;-) files/digest-i2c-2.9.0
>>> md5 files   ;-) files/digest-i2c-2.9.1
>>> md5 files   ;-) files/i2c-2.9.0.fix.patch
>>> md5 files   ;-) files/i2c-2.9.1-module-path.patch
>>> md5 src_uri ;-) i2c-2.9.1.tar.gz
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.12-gentoo-r3
 * 2.9.1 is only needed for kernel 2.4.x
 * You need to use the in-kernel I2C drivers for later kernels.

!!! ERROR: sys-apps/i2c-2.9.1 failed.
!!! Function pkg_setup, Line 28, Exitcode 0
!!! Non 2.4.x kernel detected
!!! If you need support, post the topmost build error, NOT this status message.


as it says, i2c is only needed for 2.4.x kernels.....i am running 2.6.12, and im pretty sure im already using the in-kernel i2c drivers as i have lm-sensors working fine (i2c is required for lm sensors, right??).

so why, and what is causing i2c to be pulled in, and why doesnt portage realise that im running a 2.6.x kernel and leave it out??
_________________
I might not have morals...but at least I have standards
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4734
Location: Angra do Heroísmo (PT)

PostPosted: Sun Jul 03, 2005 3:34 am    Post subject: Reply with quote

My best shot is that some package is requesting that i2c be installed. Try doing
Code:
# emerge -uDtp world

to check what package depends on i2c. You can also do
Code:
# emerge -uDvp world | grep i2c

_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
Art Vandalay
Guru
Guru


Joined: 16 Sep 2003
Posts: 335
Location: Melbourne - VIC

PostPosted: Sun Jul 03, 2005 8:25 am    Post subject: Reply with quote

Code:

calista jk # emerge -uDtp world

These are the packages that I would merge, in reverse order:

Calculating world dependencies ...done!
[nomerge      ] sys-libs/libcap-1.10-r5
[nomerge      ]  dev-lang/swig-1.3.21
[nomerge      ]   dev-php/php-4.4.0_rc2
[ebuild     UD]    media-libs/pdflib-5.0.4_p1-r1 [6.0.1]
[ebuild  NS   ] sys-apps/i2c-2.9.1

calista jk # emerge -uDvp world | grep i2c
[ebuild  NS   ] sys-apps/i2c-2.9.1  0 kB


it doesn't seem to shed any light on whats pulling it in unfortunately

thanks
_________________
I might not have morals...but at least I have standards
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4927
Location: Gothenburg, Sweden

PostPosted: Sun Jul 03, 2005 10:30 am    Post subject: Reply with quote

Take a look in your world file and post any follow ups to https://forums.gentoo.org/viewtopic-t-350935-highlight-i2c.html

Moved from Portage & Programming to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum